<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : tp_orangeline $
 * $Revision: 12 $
 * 
 * Orangeline
* 
 * $Author: pyr0 $
 * $Date: 2018-10-01 19:06:26 +0200 (Mo, 01. Okt 2018) $
 */ 

defined('mxMainFileLoaded') or die('access denied');

define('_THISTHEME_', dirname(__FILE__));
define('_THISTHEMENAME_',basename(dirname(__FILE__)));
/* Sprachdatei auswaehlen */
if (@file_exists(_THISTHEME_ . '/language/lang-' . $GLOBALS['currentlang'] . '.php')) {
    include_once(_THISTHEME_ . '/language/lang-' . $GLOBALS['currentlang'] . '.php');
} else {
    include_once(_THISTHEME_ . '/language/lang-german.php');
}

//if (file_exists(_THISTHEME_ ."/at2pmx.php")) include(_THISTHEME_ ."/at2pmx.php");

/**
 * Themesettingsdatei includen
 */
global $themesetting; // global muss drin bleiben, weil das in einer Funktion includet wird !!
$themesetting = array();
include(_THISTHEME_ . '/settings.php');

/**
 * spezielle Themefunktionen und Bereichsdefinitionen
 */
include_once(_THISTHEME_ . '/functions.php');

/* nur wenn theme.php normal verwendet wird, nicht fuer CSS */
if (defined('PMX_VERSION')) {

    /* zu alte pragmaMx-Version */
    if (version_compare(PMX_VERSION, '2.0', '<')) {
        die('<br />Sorry, theme "' . basename(_THISTHEME_) . '" requires pragmaMx version >= 2.0.');
    }

    /* die themeEngine laden */
    include_once(PMX_SYSTEM_DIR . '/mx_themes.php');

    /* bei Bedarf den Dokumenttyp anpassen :) */
    if (!theme_check_xhtmldoctype()) {
        $GLOBALS['DOCTYPE'] = 3;
    }
}

/* HTML-Fehlerbereinigung abschalten, da pmx Probleme hat mit HTML5-Tags */

$GLOBALS['TidyOutput']=0;

$viewport='content="initial-scale = 1.0, maximum-scale = 1.0, user-scalable = no, width = device-width"';
//pmxHeader::set_meta("viewport",$viewport);

//pmxHeader::add('<!--[if lte IE 7]><link rel="stylesheet" href="style/style.ie7.css" media="screen" /><![endif]-->');
if (file_exists(_THISTHEME_."/favicon.ico")) pmxHeader::add("<link rel=\"shortcut icon\" href=\"" . PMX_HOME_URL . "/themes/" ._THISTHEMENAME_. "/favicon.ico\" type=\"image/x-icon\" />");

/* Jquery auf alle Fälle einbinden */
pmxHeader::add_jquery();

pmxHeader::add_style(_THISTHEME_."/style/pragma.css");
pmxHeader::add_style(_THISTHEME_."/style/hmenu.css");



?>