<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $Revision: 12 $
 * $Author: pyr0 $
 * $Date: 2018-10-01 19:06:26 +0200 (Mo, 01. Okt 2018) $
 */

defined('mxMainFileLoaded') or die('access denied');

define('_THISTHEME_', dirname(__FILE__));
define('_THISTHEMENAME_',basename(dirname(__FILE__)));

load_class("HtmlParser",false);

/* definitionen */

$csscolor=array();

$sidebar1="sidebar1";
$sidebar2="sidebar2";

global $artpre,$themeoptions,$csscolor;

include ("settingsatx.php");

switch ($themeoptions['Position']) {
	case "2":
		$sidebar1="sidebar2";
		$sidebar2="sidebar1";
		break;
}
$themeoptions['currentyear']=date("Y");

/* theme laden */

$artpre="";

$myatx=file_get_contents(_THISTHEME_ ."/index.html");

$myatx = str_replace('style.css','style/style.css',$myatx);
$myatx = str_replace('style.responsive.css','style/style.responsive.css',$myatx);
$myatx = str_replace('style.ie7.css','style/style.ie7.css',$myatx);
$myatx = str_replace('jquery.js','style/jquery.js',$myatx);
$myatx = str_replace('script.js','style/script.js',$myatx);
$myatx = str_replace('script.responsive.js','style/script.responsive.js',$myatx);

/* standard ersetzungen */
$atx = str_replace($artpre,"",$myatx);
$myatx = str_replace('[CURRENTYEAR]','{CURRENTYEAR}',$myatx);
$myatx = str_replace('[PEREX_TITLE]','{PEREX_TITLE}',$myatx);
$myatx = str_replace('[PEREX_CONTENT]','{PEREX_CONTENT}',$myatx);


/* HTML einlesen */
$atx=str_get_html($atx);

// web-fonts einlesen in array

$font=array();
$atx2=$atx->find("head",0)->innertext;
$fontlink = strpos($atx2,'http://fonts',0);
while ($fontlink >0) :
	$fontlink2= strpos($atx2,'"',$fontlink);
	$font[]=substr($atx2,$fontlink,($fontlink2-$fontlink));
	//$i=$fontlink2;
	$fontlink = strpos($atx2,'http://fonts',$fontlink2);
endwhile;

$csscolor['font']=$font;

/* header manipulieren */


$atx->find("h1[class=headline]",0)->innertext = '<a href=".">{PAGE_TITLE}</a>';
$atx->find("h2[class=slogan]",0)->innertext = '{PAGE_SLOGAN}';

$atx->find("body",0)->class = 'desktop';

/* <div class="content-layout-row {LAYOUT_CLASS}">*/
$atx->find("div[class=content-layout-row]",0)->class = 'content-layout-row {LAYOUT_CLASS}';

/* navigation */
$atx->find("nav[class=nav]",0)->outertext = '
		<navigation class="hnav">
		<div class="hnav-inner">
		<div id="headmenu" class="clearfix">
		<!-- START headmenue -->
		<!-- ul><li><a href="home.html" class="active">Home</a>
		<ul class="active"><li><a href="home/new-page.html">Subpage 1</a></li><li><a href="home/new-page-2.html">Subpage 2</a></li><li><a href="home/new-page-3.html">Subpage 3</a></li></ul></li><li><a href="blog.html">Blog</a></li></ul --> 
		<!-- END headmenue --> 
		</div>
		</div>
		</navigation>
';

/* blöcke konvertieren */
$atx->find("div[class=".$sidebar1."]",0)->innertext = ' 
		<div class="block clearfix">
		<!-- START blocks_left_container -->
		<!-- START blocks_left_loop -->
		<!-- START block_left -->
		<div id="__BLOCK_ID__" >
		<div class="blockheader t">  
		<h3 class="t">{BLOCK_TITLE}</h3>
		</div>
		<div class="blockcontent">
		{BLOCK_CONTENT}
		</div>
		</div>
		<!-- END block_left -->
		<!-- END blocks_left_loop -->
		<!-- END blocks_left_container --> 
		</div>
		';
$atx->find("div[class=".$sidebar2."]",0)->innertext = ' 
		<div class="block clearfix">
		<!-- START blocks_right_container -->
		<!-- START blocks_right_loop -->
		<!-- START block_right -->
		<div id="__BLOCK_ID__" class="block">
		<div class="blockheader t"> 
		<h3 class="t">{BLOCK_TITLE}</h3>
		</div>
		<div class="blockcontent">
		{BLOCK_CONTENT}
		</div>
		</div>
		<!-- END block_right -->
		<!-- END blocks_right_loop -->
		<!-- END blocks_right_container -->
		</div>
		';
		
/* Content */
//$atx->find("article[class=article]",0)->innertext = ' 
$atx->find("div[class=content]",0)->innertext = ' 
		<article class="post article content">
		<!-- START debugservice -->
		<div class="siteservice debugservice">
		{DEBUGSERVICE}
		</div>
		<!-- END debugservice -->
		<!-- START siteservice -->
		<div class="siteservice">
		{SITESERVICE}
		</div>
		<!-- END siteservice -->

		<!-- START blocks_center_top_loop -->
		<!-- START block_center_top -->
		<div id="__BLOCK_ID__" class="block">
		<div class="blockheader"> 
		<h3 class="t">{BLOCK_TITLE}</h3>
		</div>
		<div class="blockcontent">
		{BLOCK_CONTENT}
		</div>
		</div>
		<!-- END block_center_top -->               
		<!-- END blocks_center_top_loop -->

		<!-- START script_output -->
		<!-- START opentable -->
		<div class="openclosetable content">
		{OPENCLOSE_TABLE}
		</div>
		<!-- END opentable -->
		<!-- START opentable2 -->
		<div class="openclosetable2">
		{OPENCLOSE_TABLE_2}
		</div>
		<!-- END opentable2 -->
		<!-- START opentableal -->
		<div class="openclosetableal warning">
		{OPENCLOSE_TABLE_AL}
		</div>
		<!-- END opentableal -->

		<!-- START themeindex -->
		<div class="post">
		<h3 class="postheader">{$title}</h3>
		<div class="content">
		{$topicimage} {$content}
		</div>
		<div class="postmetadatafooter">
		<p>
		{$readmore}{$comments}{$datetime}
		</p>
		</div>
		</div>
		<!-- END themeindex -->

		<!-- START themearticle -->
		<h3 class="postheader">{$title}</h3>
		<div class="content">
		{$topicimage} {$content}
		</div>
		<p class="">
		{$infoline}
		</p>
		<div class="postmetadatafooter">
		{$notes}
		</div>
		<!-- END themearticle -->

		<!-- END script_output -->

		<!-- START blocks_center_down_loop -->
		<!-- START block_center_down -->
		<div id="__BLOCK_ID__" class="block">
		<div class="blockheader"> 
		<h3 class="t">
		{BLOCK_TITLE}
		</h3>
		</div>
		<div class="blockcontent">
		{BLOCK_CONTENT}
		</div>
		</div>
		<!-- END block_center_down -->
		<!-- END blocks_center_down_loop -->
		</article>
		';

/* Footer */

if ($atx->find("span[id=licence-links]",0) != NULL) $atx->find("span[id=licence-links]",0)->outertext = ' ';

/* $atx->find("footer[class=footer]",0)->innertext = ' 
	<div class="footer-inner">
		{FOOTMESSAGE}
		<p>&copy;&nbsp;{CURRENTYEAR} <a href="./">{$sitename}</a></p>'.
		((!$themeoptions['includeBacklinkToAuthor'])?'':'<p class="page-footer"><span id="footnote-links">Designed by <a href="'.$themeoptions['TemplateAuthorURL'].'" target="_blank">'.$themeoptions['TemplateAuthor'].'</a></span></p>').
	
	'</div>'; */
	
if ($atx->find("footer[class=footer]",0)->find("div[class=content-layout-row]",0)) {
	if ($atx->find("footer[class=footer]",0)->find("div[class=content-layout-row]",0)->find("div[class=layout-cell]",0)) {
		$atx->find("footer[class=footer]",0)->find("div[class=content-layout-row]",0)->find("div[class=layout-cell]",0)->innertext='
{FOOTMESSAGE}
		<p>&copy;&nbsp;{CURRENTYEAR} <a href="./">{$sitename}</a></p>'
		;
	}
} else {
	$atx->find("footer[class=footer]",0)->innertext = ' 
	<div class="footer-inner">
	{FOOTMESSAGE}
	<p>&copy;&nbsp;{CURRENTYEAR} <a href="./">{$sitename}</a></p>'.

	
	'</div>';
}

/* socvial-tags austauschen */
	foreach ($atx->find("a[class=facebook-tag-icon]") as $tag) {
		$tag->outertext = '{FACEBOOKTAG}';
	}
	foreach ($atx->find("a[class=rss-tag-icon]") as $tag) {
		$tag->outertext = '{RSSTAG}';
	}
	foreach ($atx->find("a[class=twitter-tag-icon]") as $tag) {
		$tag->outertext = '{TWITTERTAG}';
	}


/* <!-- START comment -->
		<p><a href="http://validator.w3.org/check?uri=referer"><img src="http://www.w3.org/Icons/valid-xhtml10" alt="Valid XHTML 1.0 Strict" height="31" width="88" /></a> <a href="http://jigsaw.w3.org/css-validator/"><img style="border:0;width:88px;height:31px" src="http://jigsaw.w3.org/css-validator/images/vcss" alt="CSS ist valide!" /></a></p>
		<!-- END comment --> */	
	if ($themeoptions['includeBacklinkToAuthor']==true and $themeoptions['TemplateAuthorURL']!="") {
		 if ($atx->find("p[class=page-footer]",0) != NULL) $atx->find("p[class=page-footer]",0)->innertext = 
		'<span id="footnote-links">Designed by <a href="'.$themeoptions['TemplateAuthorURL'].'" target="_blank">'.$themeoptions['TemplateAuthor'].'</a></span>'
		 ; 
	} else {
		if ($atx->find("p[class=page-footer]",0) != NULL) $atx->find("p[class=page-footer]",0)->outertext = '';
	}
	
/* und alles abspeichern */
//file_put_contents (_THISTHEME_ ."/theme.html",$atx);
$atx->save(_THISTHEME_ ."/theme.html");

/* --------------------------------- CSS -------------------------------------------------- */


	$myatx="";
	$myatx=file_get_contents(_THISTHEME_ ."/style/style.css");
	$myatx = str_replace($artpre,"",$myatx); //pagination
	
	//$myatx = str_replace(".desktop","",$myatx);	
	$myatx = str_replace(".pager",".pagination",$myatx);
	
	$myatx = str_replace(".nav",".hnav",$myatx);
	$myatx = str_replace(", nav,",", navigation,",$myatx);
	//$myatx = str_replace(".postcontent",".content",$myatx);
	$myatx = str_replace(".sidebar1",".[SIDEBAR1]",$myatx);
	$myatx = str_replace(".sidebar2",".[SIDEBAR2]",$myatx);

	$mysearch = array(".button" => '.button,form button, button, form input[type="submit"], form input[type="reset"], input[type="button"], .formbutton');
	$myatx = mxChangeContent($myatx, $mysearch, 1);
	
	$mycss = new CssParser();
	$mycss->ParseStr($myatx);
	
	/* spalten richtig zuordnen */
	$csscolor['sidebar1']=$sidebar1;
	$csscolor['sidebar2']=$sidebar2;
	/* farben selektieren */
	
    $csscolor['textcolor1']=$mycss->Get(".comment-content","color");
    $csscolor['textcolor4']=$mycss->Get(".commentsform","color");
	$csscolor['textcolor3']=$mycss->Get(".blockcontent","color");
	$csscolor['textcolor2']=$mycss->Get(".commentsform","color");
    //$csscolor['textcolor4']=$mycss->Get(".postheader","color");
	
	$csscolor['bgcolor1']=$mycss->Get(".comment-inner","background");	
	$csscolor['bgcolor2']=$mycss->Get(".commentsform","background");	
	$csscolor['bgcolor3']=$mycss->Get(".commentsform","background");
	$csscolor['bgcolor4']=$mycss->Get(".comment-inner","background");

	$csscolor['bgerror']=$mycss->Get("input.error","background");	
	$csscolor['txterror']=$mycss->Get("input.error","color");	

	$csscolor['linkcolor']=$mycss->Get(".blockcontent a","color");	
	$csscolor['linkhover']=$mycss->Get(".blockcontent  a:hover","color");	
	$csscolor['linkvisited']=$mycss->Get(".blockcontent  a:visited","color");	
	
	$csscolor['buttontext']=$mycss->Get("a.button","color");	
	$csscolor['buttonbg']=$mycss->Get(".button ","background");	

	$csscolor['infobg']=$mycss->Get("blockquote","background");	
	$csscolor['infotext']=$mycss->Get("blockquote","color");	
	
	$csscolor['vmenuheight']=$mycss->Get("ul.hmenu>li>a","height");	
	$csscolor['vmenuback']=$csscolor['bgcolor1'];
	$csscolor['vmenutxt']=$csscolor['textcolor1'];
	$csscolor['vmenubackhoover']=$csscolor['bgcolor1'];
	
	$csscolor['buttonlink']=$mycss->Get("a.button","color");	
	$csscolor['buttonbg']=$mycss->Get("a.button","background");	
	/* $csscolor['bgcolor2']=getAtxColor($mycss,
		array(	".comment"=>"background",
				".comment-inner"=>"background",
				".comment-content"=>"background",
		)); */
	
	/* menu */
	
	//atx_save_colors($csscolor);
	
	//atx_save_hmenu($csscolor);
	
/* -------------------------- Files säubern -------------------------------------------------------------
 * 
 */

	//file_put_contents (_THISTHEME_ ."/style/style2.css",$mycss->GetCSS());
	
	file_put_contents (_THISTHEME_ ."/style/style.css",$myatx);

	atx_convert_file("/style/style.css");
	atx_convert_file("/style/color.php");
	atx_convert_file("/style/pragma.css");
	atx_convert_file("/style/hmenu.css");

	atx_convert_file("/style/style.responsive.css");
	atx_convert_file("/style/style.ie7.css");
	
	atx_convert_file("/readme.txt");
	atx_convert_file("/setup.pmx.php");
	atx_convert_file("/orig_theme.php");
	
/* scriptfiles aktualisieren */
	atx_convert_file("/style/script.responsive.js");
	atx_convert_file("/style/script.ie7.js");
	atx_convert_file("/style/script.js");


/* images kopieren */

	/*mxCopy("/sys_images/friend.gif","/sys_images/email.gif");
	mxCopy("/sys_images/friend.gif","/sys_images/menu/email.gif");
	mxCopy("/sys_images/bytesmore.gif","/sys_images/menu/bytesmore.gif");
	mxCopy("/sys_images/print.gif","/sys_images/menu/print.gif");
	mxCopy("/sys_images/friend.gif","/sys_images/menu/email.gif");*/

	
/* jetzt noch säubern das Ganze :) */

	@rename(_THISTHEME_ ."/theme.php",_THISTHEME_ ."/conv_theme.php");
	@rename(_THISTHEME_ ."/orig_theme.php",_THISTHEME_ ."/theme.php");

	@mxUnlink(_THISTHEME_ ."/style/script.responsive.js");
	@mxUnlink(_THISTHEME_ ."/style/script.ie7.js");
	@mxUnlink(_THISTHEME_ ."/style/script.js");
	@mxUnlink(_THISTHEME_ ."/style/jquery.js");
	@mxUnlink(_THISTHEME_ ."/style/style2.css");
	@mxUnlink(_THISTHEME_ ."/style/style.responsive.css");
	@mxUnlink(_THISTHEME_ ."/style/style.ie7.css");
	@mxUnlink(_THISTHEME_ ."/index.html");
	@mxUnlink(_THISTHEME_ ."/conv_theme.php");
	@mxUnlink(_THISTHEME_ ."/images/*.*");
	@mxUnlink(_THISTHEME_ ."/settingsatx.php");
	@mxUnlink(_THISTHEME_ ."/style/favicon.ico");
	@mxUnlink(_THISTHEME_ ."/undefined");
	
	/* und fertig :) */
	mxRedirect("admin.php?op=reset/cache","Theme convert... down...",1);


function atx_convert_file($filename)
{
	global $artpre,$themeoptions,$csscolor;

	$newheader = '

 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : [THEMENAME] $
 * $Revision: 12 $
 * 
 * [TEMPLATEDESCRIPTION]
 * 
 * $Author: pyr0 $
 * $Date: 2018-10-01 19:06:26 +0200 (Mo, 01. Okt 2018) $
 
';
	
	$atxheader = 'Created by Artisteer v'.$themeoptions["ArtisteerVersion"].'';
	$myatx="";	
	if (file_exists(_THISTHEME_ .$filename)) {
		$myatx=file_get_contents(_THISTHEME_ .$filename);
			
			if ($myatx) { 
				$myatx= str_replace($artpre,"",$myatx);
				$myatx= str_replace($atxheader,$newheader,$myatx);
				$myatx= str_replace(";;",";",$myatx);
				$temp="";
				foreach ($csscolor['font'] as $value) {
					$temp .= " \n" . getFontURL($value); 
				}
				$myatx= str_replace("[FONTS]",$temp,$myatx);
				
				foreach ($themeoptions as $options=>$value) {
					if (!is_array($value)) $myatx= str_replace("[".strtoupper($options)."]",$value,$myatx);
				}
				
				foreach ($csscolor as $tcolor=>$tvalue) {
					if (!is_array($tvalue)) $myatx= str_replace("[".strtoupper($tcolor)."]",$tvalue,$myatx);
				}
				
				file_put_contents (_THISTHEME_ .$filename,$myatx);
			}
	}
	return;
}


function atx_save_colors($colors = array()) {
	
/* 
	$temp='
<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $Revision: 12 $
 * $Author: pyr0 $
 * $Date: 2018-10-01 19:06:26 +0200 (Mo, 01. Okt 2018) $
 */
/*	
	global $bgcolor1; 
	$bgcolor1 = "'.$colors['bgcolor1'].'"; 
	
	global $bgcolor2; 
	$bgcolor2 = "'.$colors['bgcolor2'].'"; 
	
	global $bgcolor3; 
	$bgcolor3 = "'.$colors['bgcolor3'].'"; 
	
	global $bgcolor4; 
	$bgcolor4 = "'.$colors['bgcolor4'].'"; 
	
	global $textcolor1; 
	$textcolor1 = "'.$colors['textcolor1'].'"; 
	
	global $textcolor2; 
	$textcolor2 = "'.$colors['textcolor2'].'"; 
	
	global $textcolor3; 
	$textcolor3 = "'.$colors['textcolor3'].'"; 
	
	global $textcolor4; 
	$textcolor4 = "'.$colors['textcolor4'].'"; 
	
	
?>';
	
	
	file_put_contents (_THISTHEME_ ."/style/color.php",$temp); */
	
	/* fonts laden 
	$temp="";
	$temp=file_get_contents(_THISTHEME_ ."/style/pragma.css");
	
	foreach ($colors['font'] as $value) {
		$temp.= " \n" . getFontURL($value); 
	}	
	file_put_contents (_THISTHEME_ ."/style/pragma.css",$temp);*/
}

function atx_save_hmenu($colors = array()) {
	
	global $themeoptions;
	$temp='';
    $temp .="";
	
	/* fonts laden */
	$temp=file_get_contents(_THISTHEME_ ."/style/hmenu.css");
	
	
	
	foreach ($colors as $color=>$value) {
		if (!is_array($value))$temp= str_replace("[".strtoupper($color)."]",$value,$temp);
	}
	

	file_put_contents (_THISTHEME_ ."/style/hmenu.css",$temp);
}

function darker($color, $c = 10)
    {
        $rgb = str_split(trim($color, '#'), 2);
        foreach ($rgb as $i => $value) {
            $hex = hexdec($rgb[$i]) - $c;
            if ($hex > 255) {
                $rgb[$i] = 'ff';
            } else if ($hex < 0) {
                $rgb[$i] = '00';
            } else {
                $rgb[$i] = substr('00' . dechex($hex), -2);
            }
        }
        return '#' . $rgb[0] . $rgb[1] . $rgb[2];
    }

function getFontURL($url="") {
		if ($url=="") return;
		$useragent=$_SERVER['HTTP_USER_AGENT'];
	    $result=false;
	if (function_exists("curl_init")) {
        /**
        * cURL-Session initialisieren
        */
        $ch = curl_init($url);
        /**
        * Weiter Parameter der cURL-Session übergeben
        */
        curl_setopt ($ch, CURLOPT_URL, $url);
        curl_setopt ($ch, CURLOPT_HEADER, 0);
        /**
        * cURL Anweisen, das die Übergabe
            zurückgegeben werden soll
        */
        curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);
        /**
        * cURL mitteilen, welcher Useragent übergeben
            werden soll.
        */
        curl_setopt ($ch, CURLOPT_USERAGENT, $useragent);
        /**
        * cURL Rückgabe in $result speichern
        */
        $result = @curl_exec ($ch);
        curl_close ($ch);
	}
		//if (trim($result)=="FORBIDDEN") return false;


    return $result;
}

function getAtxColor ($mcss, $color=array(), $default="#000000") {
		
		$ct="";
		foreach ($color as $key=>$value) {
			$ct=$mcss->Get($key,$value);
			if ($ct !="") return $ct;
		}
			
		return $default;
		
}


function mxUnlink ($filename) {
	if (file_exists($filename) and is_writable($filename)) unlink($filename);
}

function mxCopy ($source,$destination) {
	if (file_exists($source) and is_writable($destination)) copy($source,$destination);
}
?>